# SambaNova Documentation: v2.2.5 ## v2.2.5 - [v2.2.5 / Japanese (189 pages)](https://docs.sambanova.ai/docs/_llms/v2-2-5/ja.txt): Documentation for v2.2.5 / Japanese. ### Developer guide #### Get started - [SambaNova developer guide overview](https://docs.sambanova.ai/docs/en/get-started/overview.md) - [API keys and URLs](https://docs.sambanova.ai/docs/en/get-started/api-keys-urls.md) - [SambaNova quickstart](https://docs.sambanova.ai/docs/en/get-started/quickstart.md) #### Models - [SambaCloud models overview and specifications](https://docs.sambanova.ai/docs/en/models/sambacloud-models.md) - [SambaNova model rate limits](https://docs.sambanova.ai/docs/en/models/rate-limits.md) - [SambaNova model deprecations](https://docs.sambanova.ai/docs/en/models/deprecations.md) #### Features - [OpenAI compatibility](https://docs.sambanova.ai/docs/en/features/openai-compatibility.md) - [Anthropic compatibility](https://docs.sambanova.ai/docs/en/features/anthropic-compatibility.md) - [Messages API](https://docs.sambanova.ai/docs/en/features/messages.md) - [Implement text generation features](https://docs.sambanova.ai/docs/en/features/text-generation.md) - [Implement function calling and JSON mode features](https://docs.sambanova.ai/docs/en/features/function-calling.md) - [Responses API](https://docs.sambanova.ai/docs/en/features/responses.md) - [Implement vision and multimodal features](https://docs.sambanova.ai/docs/en/features/vision.md) - [Implement video input features](https://docs.sambanova.ai/docs/en/features/video.md) - [Implement audio‑input features](https://docs.sambanova.ai/docs/en/features/audio.md) - [Implement embeddings features](https://docs.sambanova.ai/docs/en/features/embeddings.md) - [Reduce latency and cost with prompt caching](https://docs.sambanova.ai/docs/en/features/prompt-caching.md) - [Implement text-to-speech](https://docs.sambanova.ai/docs/en/features/speech.md) #### Build - [Developer community](https://docs.sambanova.ai/docs/en/build/developer-community.md) - [AI starter kits](https://docs.sambanova.ai/docs/en/build/ai-starter-kits.md) - [Agents](https://docs.sambanova.ai/docs/en/build/agents.md) - [Hugging Face spaces](https://docs.sambanova.ai/docs/en/build/hf-spaces.md) - [RAG workflows](https://docs.sambanova.ai/docs/en/build/rag.md) - [Reasoning models](https://docs.sambanova.ai/docs/en/build/reasoning.md) - [SambaNova SDK for Python and JavaScript](https://docs.sambanova.ai/docs/en/build/sn-sdk.md) - [Getting started with custom chat templates and output parsing](https://docs.sambanova.ai/docs/en/build/chat-templates.md) #### Resources - [Glossary](https://docs.sambanova.ai/docs/en/resources/glossary.md) ### API reference #### Overview - [SambaNova API reference](https://docs.sambanova.ai/docs/en/api-reference/overview.md) #### Inference API ##### Chat completions - [Create chat-based completion](https://docs.sambanova.ai/docs/api-reference/chat-completions/create-chat-based-completion.md) ##### Completions - [Create completion](https://docs.sambanova.ai/docs/api-reference/completions/create-completion.md) ##### Responses - [Create a model response](https://docs.sambanova.ai/docs/api-reference/responses/create-a-model-response.md): Creates a model response for the given input. Only `type: "function"` tools are supported; other tool types are filtered server-side. SambaNova is stateless, conversation history must be supplied in full via `input[]` on each request. ##### Messages - [Create a message](https://docs.sambanova.ai/docs/api-reference/messages/create-a-message.md): Anthropic Messages API compatible endpoint. Generates a model response for the supplied conversation. Authentication accepts either the bearer `Authorization: Bearer ` header (SambaNova SDK default) or the `x-api-key` header (Anthropic SDK default); the same API key is used in both cases. When… - [Count tokens for a message request](https://docs.sambanova.ai/docs/api-reference/messages/count-tokens-for-a-message-request.md): Anthropic `count_tokens` compatible endpoint. Returns the number of input tokens that would be consumed by a `POST /messages` call with the same prompt content (system, messages, tools, tool_choice). Authentication accepts either the bearer `Authorization: Bearer ` header (SambaNova SDK default… ##### Embeddings - [Create embeddings](https://docs.sambanova.ai/docs/api-reference/embeddings/create-embeddings.md) ##### Audio - [Transcribes audio into the input language.](https://docs.sambanova.ai/docs/api-reference/audio/transcribes-audio-into-the-input-language.md) - [Translate audio into English.](https://docs.sambanova.ai/docs/api-reference/audio/translate-audio-into-english.md) ##### Models - [Get environment's available model list metadata](https://docs.sambanova.ai/docs/api-reference/models/get-environments-available-model-list-metadata.md) - [Get environment's available model metadata](https://docs.sambanova.ai/docs/api-reference/models/get-environments-available-model-metadata.md) #### Chat Agents API - [Chat agents API overview](https://docs.sambanova.ai/docs/en/agents-api-reference/overview.md) ##### Main Agent - [Main Agent](https://docs.sambanova.ai/docs/api-reference/main-agent/main-agent.md): The main agent is a general-purpose AI assistant that coordinates with specialized subagents (coding, financial analysis, deep research, and data science) to complete complex tasks. This fire-and-forget endpoint submits a prompt and returns the final response in a single call. ##### Main Agent Interactive - [Main Agent Interactive](https://docs.sambanova.ai/docs/api-reference/main-agent-interactive/main-agent-interactive.md): The main agent is a general-purpose AI assistant that coordinates with specialized subagents (coding, financial analysis, deep research, and data science) to complete complex tasks. This interactive endpoint supports multi-turn conversations with persistent context. ##### Subagents - [Coding Agent](https://docs.sambanova.ai/docs/api-reference/subagents/coding-agent.md): The coding agent executes Python code in a sandboxed environment, fixes errors, and returns results. This fire-and-forget endpoint submits a prompt and returns the final response in a single call. - [Datascience Agent And Report](https://docs.sambanova.ai/docs/api-reference/subagents/datascience-agent-and-report.md): The data science agent analyzes datasets, generates visualizations, and produces comprehensive reports. This fire-and-forget endpoint submits a prompt and returns the final report in a single call. - [Deepresearch Agent](https://docs.sambanova.ai/docs/api-reference/subagents/deepresearch-agent.md): The deep research agent conducts multi-iteration research and produces comprehensive reports. This interactive endpoint uses a two-step workflow: - [Financial Analysis Agent](https://docs.sambanova.ai/docs/api-reference/subagents/financial-analysis-agent.md): The financial analysis agent analyzes stocks, companies, and market data. This fire-and-forget endpoint submits a prompt and returns the final response in a single call. ##### Subagents Interactive - [Coding Agent Interactive](https://docs.sambanova.ai/docs/api-reference/subagents-interactive/coding-agent-interactive.md): The coding agent executes Python code in a sandboxed environment, fixes errors, and returns results. This interactive endpoint supports multi-turn conversations for iterative code development. - [Datascience Interactive](https://docs.sambanova.ai/docs/api-reference/subagents-interactive/datascience-interactive.md): The data science agent analyzes datasets, generates visualizations, and produces comprehensive reports. This interactive endpoint uses a two-step workflow: - [Deepresearch Interactive Agent](https://docs.sambanova.ai/docs/api-reference/subagents-interactive/deepresearch-interactive-agent.md): Two-step interactive deep research API: Step 1: Submit prompt, get thread_id and research plan for approval. Step 2: Submit prompt with thread_id and resume=true to get the final report. - [Financial Analysis Agent Interactive](https://docs.sambanova.ai/docs/api-reference/subagents-interactive/financial-analysis-agent-interactive.md): The financial analysis agent analyzes stocks, companies, and market data. This interactive endpoint uses a two-step workflow: ##### File Management - [Download Agent File](https://docs.sambanova.ai/docs/api-reference/file-management/download-agent-file.md): Download files (artifacts) generated by agent APIs using Bearer token authentication. Files are scoped to users, and the storage layer verifies ownership before returning data. #### Using the API - [API error codes](https://docs.sambanova.ai/docs/en/api-reference/using-the-api/api-error-codes.md) ### Integrations #### Overview - [Integrations](https://docs.sambanova.ai/docs/en/integrations/overview.md) #### Developer tools ##### Coding assistants - [BlackBox AI integration guide](https://docs.sambanova.ai/docs/en/integrations/blackboxai.md) - [Claude Code integration guide](https://docs.sambanova.ai/docs/en/integrations/claude-code.md) - [Cline integration guide](https://docs.sambanova.ai/docs/en/integrations/cline.md) - [Codex integration guide](https://docs.sambanova.ai/docs/en/integrations/codex.md) - [Continue integration guide](https://docs.sambanova.ai/docs/en/integrations/continue.md) - [Cursor integration guide](https://docs.sambanova.ai/docs/en/integrations/cursor.md) - [KiloCode integration guide](https://docs.sambanova.ai/docs/en/integrations/kilocode.md) - [OpenCode integration guide](https://docs.sambanova.ai/docs/en/integrations/opencode.md) - [OpenHands integration guide](https://docs.sambanova.ai/docs/en/integrations/openhands.md) - [Pi integration guide](https://docs.sambanova.ai/docs/en/integrations/pi.md) - [Qwen Code CLI integration guide](https://docs.sambanova.ai/docs/en/integrations/qwen-code-cli.md) - [term-llm integration guide](https://docs.sambanova.ai/docs/en/integrations/term-llm.md) - [VS Code Foundry Toolkit integration](https://docs.sambanova.ai/docs/en/integrations/vscode.md) ##### Tool and Browser Use - [Browser Use integration guide](https://docs.sambanova.ai/docs/en/integrations/browser-use.md) - [Composio integration guide](https://docs.sambanova.ai/docs/en/integrations/composio.md) - [Exa integration guide](https://docs.sambanova.ai/docs/en/integrations/exa.md) - [FastMCP integration guide](https://docs.sambanova.ai/docs/en/integrations/fastmcp.md) - [Google Workspace integration guide](https://docs.sambanova.ai/docs/en/integrations/google-workspace.md) - [Instructor integration guide](https://docs.sambanova.ai/docs/en/integrations/instructor.md) - [Linkup integration guide](https://docs.sambanova.ai/docs/en/integrations/linkup.md) #### Frameworks ##### LLM frameworks - [AI Suite integration guide](https://docs.sambanova.ai/docs/en/integrations/aisuite.md) - [Haystack integration guide](https://docs.sambanova.ai/docs/en/integrations/haystack.md) - [Hugging Face integration guide](https://docs.sambanova.ai/docs/en/integrations/hugging-face.md) - [LangChain integration guide](https://docs.sambanova.ai/docs/en/integrations/langchain.md) - [LiteLLM integration guide](https://docs.sambanova.ai/docs/en/integrations/litellm.md) - [LlamaIndex integration guide](https://docs.sambanova.ai/docs/en/integrations/llama-index.md) - [OGX integration guide](https://docs.sambanova.ai/docs/en/integrations/ogx.md) - [OpenRouter BYOK integration guide](https://docs.sambanova.ai/docs/en/integrations/openrouter-byok.md) - [Oumi integration guide](https://docs.sambanova.ai/docs/en/integrations/oumi.md) - [Vercel integration guide](https://docs.sambanova.ai/docs/en/integrations/vercel.md) ##### Agent building and orchestration - [ADK integration guide](https://docs.sambanova.ai/docs/en/integrations/adk.md) - [Agent Zero integration guide](https://docs.sambanova.ai/docs/en/integrations/agentzero.md) - [Agno integration guide](https://docs.sambanova.ai/docs/en/integrations/agno.md) - [AutoGen integration guide - agents and task automation](https://docs.sambanova.ai/docs/en/integrations/autogen.md) - [Camel AI integration guide](https://docs.sambanova.ai/docs/en/integrations/camel-ai.md) - [CrewAI integration guide](https://docs.sambanova.ai/docs/en/integrations/crew-ai.md) - [LangGraph integration guide](https://docs.sambanova.ai/docs/en/integrations/langgraph.md) - [OpenClaw integration guide](https://docs.sambanova.ai/docs/en/integrations/openclaw.md) - [OpenWorker integration guide](https://docs.sambanova.ai/docs/en/integrations/open-worker.md) - [Semantic Kernel integration guide](https://docs.sambanova.ai/docs/en/integrations/semantic-kernel.md) #### Interfaces and low-code ##### LLM Interfaces and Gateways - [Gradio integration guide](https://docs.sambanova.ai/docs/en/integrations/gradio.md) - [LibreChat integration guide](https://docs.sambanova.ai/docs/en/integrations/librechat.md) - [Open WebUI integration guide](https://docs.sambanova.ai/docs/en/integrations/openwebui.md) ##### Low-code platforms - [Dify integration guide](https://docs.sambanova.ai/docs/en/integrations/dify.md) - [Flowise integration guide](https://docs.sambanova.ai/docs/en/integrations/flowise.md) - [Langflow integration guide](https://docs.sambanova.ai/docs/en/integrations/langflow.md) - [Make integration guide](https://docs.sambanova.ai/docs/en/integrations/make.md) - [n8n integration guide](https://docs.sambanova.ai/docs/en/integrations/n8n.md) - [Zapier integration guide](https://docs.sambanova.ai/docs/en/integrations/zapier.md) #### Data and infrastructure ##### Hyperscalers - [AWS Marketplace integration guide](https://docs.sambanova.ai/docs/en/integrations/aws-marketplace.md) - [AWS PrivateLink integration guide](https://docs.sambanova.ai/docs/en/integrations/aws.md) ##### Orchestration platforms - [DataRobot integration guide](https://docs.sambanova.ai/docs/en/integrations/datarobot.md) - [Docker Compose for agents integration guide](https://docs.sambanova.ai/docs/en/integrations/docker-compose-agents.md) ##### Vector DB and search - [Mem0 integration guide](https://docs.sambanova.ai/docs/en/integrations/mem0.md) - [Milvus integration guide](https://docs.sambanova.ai/docs/en/integrations/milvus.md) - [Neo4j integration guide](https://docs.sambanova.ai/docs/en/integrations/neo4j.md) #### Multimodal ##### Real-time voice - [ElevenLabs integration guide](https://docs.sambanova.ai/docs/en/integrations/elevenlabs.md) - [Hume AI integration guide](https://docs.sambanova.ai/docs/en/integrations/humeai.md) - [LiveKit integration guide](https://docs.sambanova.ai/docs/en/integrations/livekit.md) - [Pipecat integration guide](https://docs.sambanova.ai/docs/en/integrations/pipecat.md) - [Vapi integration guide](https://docs.sambanova.ai/docs/en/integrations/vapi.md) ##### Video Analysis - [TwelveLabs integration guide](https://docs.sambanova.ai/docs/en/integrations/twelvelabs.md) #### Evaluation and monitoring - [Inspect AI integration guide](https://docs.sambanova.ai/docs/en/integrations/inspectai.md) - [Langfuse integration guide](https://docs.sambanova.ai/docs/en/integrations/langfuse.md) - [LangSmith integration guide](https://docs.sambanova.ai/docs/en/integrations/langsmith.md) - [LM Evaluation Harness integration guide](https://docs.sambanova.ai/docs/en/integrations/lm-evalharness.md) - [Weave integration guide](https://docs.sambanova.ai/docs/en/integrations/weave.md) ### SambaStack #### Getting Started - [Introduction](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/getting-started/introduction.md) - [Quickstart - hosted](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/getting-started/hosted.md) - [Quickstart - on-prem](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/getting-started/on-prem.md) #### Service Administration ##### Model deployment - [Supported models and bundles](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/supported-models-and-bundles.md) - [SambaStack model lifecycle](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/model-lifecycle.md) - [Models chart](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/models-chart.md) - [Checkpoint conversion tool](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/checkpoint-conversion-tool.md) ###### Deploying models and bundles - [Deploying models and bundles](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/deploying-models-and-bundles/overview.md) - [Deploy a single model](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/deploying-models-and-bundles/deploy-a-single-model.md) - [Deploy a bundle](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/deploying-models-and-bundles/deploy-a-bundle.md) - [Create a custom bundle](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/deploying-models-and-bundles/create-a-custom-bundle.md) - [Deploying custom checkpoints](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/deploying-models-and-bundles/deploy-custom-checkpoints.md) - [High-throughput vs. high-interactivity](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/deploying-models-and-bundles/deployment-configurations.md) - [Migrating bundle configuration](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/deploying-models-and-bundles/sambastack-v2-bundle-migration.md) - [Troubleshooting deployments](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/deploying-models-and-bundles/troubleshooting.md) ###### Custom resources - [PEF](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/custom-resources/pef.md) - [ModelProfile](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/custom-resources/model-profile.md) - [Model](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/custom-resources/model.md) - [ModelBundle](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/custom-resources/model-bundle.md) - [ModelDeployment](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/model-deployment/custom-resources/model-deployment.md) ##### Performance optimization - [Using prompt caching](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/performance/prompt-caching.md) - [Extended token generation](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/performance/ignore-eos.md) ##### Platform administration - [Authentication](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/platform-admin/authentication.md) - [User access and permissions](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/platform-admin/usergroup-management.md) - [Custom database](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/platform-admin/custom-database.md) - [Custom domain and TLS certificate configuration](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/platform-admin/custom-domain.md) - [Upgrading SambaStack](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/service-administration/platform-admin/upgrade-sambastack.md) #### Hardware Administration - [SambaRack overview](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-overview.md) - [Network administration](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/network-admin.md) - [Power management](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/power-management.md) - [Host module OS administration](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/host-os.md) - [Host module BMC administration](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/host-bmc-admin.md) - [RDU module administration](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/rdu-administration.md) ##### SambaRack Manager - [Overview](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/srm-overview.md) - [Install and upgrade](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/srm-install.md) - [Initial setup](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/srm-initial-setup.md) - [Rack administration](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/srm-rack-admin.md) - [Device credentials](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/srm-device-credentials.md) - [Node administration](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/srm-node-admin.md) - [Group administration](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/srm-group-admin.md) - [Power Operations](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/srm-power-admin.md) - [Firmware Updates](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/srm-firmware-updates.md) - [Inventory file schema](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/srm-inventory-file-schema.md) - [Command reference](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/srm-command-reference.md) ###### Hardware Monitoring - [Monitoring overview](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/monitoring/monitoring-overview.md) - [Install monitoring](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/monitoring/monitoring-install.md) - [SambaNova exporter](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/monitoring/exporter-sambanova.md) - [PDU exporter](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/monitoring/exporter-pdu.md) - [XRDU exporter](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/monitoring/exporter-xrdu.md) - [Reference dashboards](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/monitoring/monitoring-reference-dashboards.md) - [Troubleshoot monitoring](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/hardware-admin/sambarack-manager/monitoring/monitoring-troubleshooting.md) #### Reference Architecture - [Integration with LiteLLM](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/reference-architecture/litellm.md) ##### Monitoring and Observability - [Overview](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/reference-architecture/observability/overview.md) - [Log storage and search - OpenSearch](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/reference-architecture/observability/log-storage.md) - [Log forwarding with Fluent Bit](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/reference-architecture/observability/log-forwarder.md) - [Monitoring with Prometheus and Grafana](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/reference-architecture/observability/monitoring-prom.md) - [Metrics](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/reference-architecture/observability/metrics.md) - [Logs](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/reference-architecture/observability/logs.md) #### Resources - [SambaStack.yaml reference](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/resources/sambastack-yaml.md): Configuration reference for the sambastack and sambastack-models Helm charts, covering ingress, TLS, high availability, service tiers, and model bundle configuration. - [SambaStack pods reference](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/resources/pods-reference.md) - [SambaRack SN40L-16 and Core Services Rack - installation guide](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/resources/sambarack-csr-installation-guide.md) - [SambaRack components and cabling](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/resources/sn40l-16-hardware-reference.md) - [Third-party components](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/resources/thirdparty.md) - [SBOM and security reports](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/resources/sbom-security-reports.md) - [SambaStack glossary](https://docs.sambanova.ai/docs/en/v2.2.5/sambastack/resources/glossary.md) ### Release notes #### Release notes - [SambaNova release notes](https://docs.sambanova.ai/docs/en/release-notes/overview.md) - [SambaCloud release notes](https://docs.sambanova.ai/docs/en/release-notes/sambacloud.md) - [SambaStack release notes](https://docs.sambanova.ai/docs/en/release-notes/sambastack.md) - [SambaRack Manager release notes](https://docs.sambanova.ai/docs/en/release-notes/sambarack-manager.md) - [SambaNova Runtime release notes](https://docs.sambanova.ai/docs/en/release-notes/runtime.md) ## OpenAPI Specs - [openapi.documented](https://raw.githubusercontent.com/sambanova/sambanova-inference-api-spec/refs/heads/main/openapi.documented.json) - [chat-sambanova-agent-api-spec](https://raw.githubusercontent.com/sambanova/agents/refs/heads/main/chat-sambanova-agent-api-spec.yaml)